petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsGetEnum

Gets the enum value for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetEnum(const char pre[],const char opt[],const char * const *list,PetscEnum *value,PetscBool  *set)

Not Collective

### Input Parameters

| pre | - option prefix or NULL
| opt | - option name
| list | - array containing the list of choices, followed by the enum name, followed by the enum prefix, followed by a null
| defaultv | - the default (current) value

### Output Parameter

| value | - the value to return
| set | - PETSC_TRUE if found, else PETSC_FALSE

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

list is usually something like PCASMTypes or some other predefined list of enum names

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList(), PetscOptionsGetEList(), PetscOptionsEnum()

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex8f90.F90.html